# CraftPresence

## [v1.5.3](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.5.3) (2021-06-04)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.5.2.2...v1.5.3) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Backend] Multiple Backend Optimizations  
    - `EncodeData` and `After` has been converted into a variable argument format, allowing individual argument parsing and preventing unneeded table creation.  
    - Added Sanity cases for `After` and apply a minimum `seconds` limit of `>= 1`.  
    - In `DispatchUpdate`, the `eventName` will now be parsed as `TYPE\_UNKNOWN` if there is none given.  
    - Improved the documentation in `RandomString`, while also giving it a new default `length` of 9.  
    - In `PrintErrorMessage`, the `logStyle` will now be parsed as `TYPE\_UNKNOWN` if there is none given.  
    - In `PrintDeprecationWarning`, the `oldFunc` will now be parsed as `TYPE\_NONE` if there is none given.  
    - In `ParseDynamicTable`, the assignment of the `defaultPrefix` has been moved lower in the function, to prevent an NPE in `dataTable`.  
